class ApplicationController < ActionController::Base
  include AuthHelper
  protect_from_forgery
  private
  def should_be_signed_in
    redirect_to :back unless signed_in?
  end

  def should_be_not_signed_in
    redirect_to :back if signed_in?
  end

  def should_be_current_user_or_admin
    redirect_to :back unless params[:id] == session[:user_id]
  end

  def should_be_admin
    redirect_to :back
  end
end
