class Question < ActiveRecord::Base
  belongs_to :user
  has_many :answers
  attr_accessible :head, :text, :views, :state, :tag_list
  acts_as_taggable

  state_machine :state, initial: :drafted do
    state :drafted
    state :published
    state :solved
   
    event :publish do
      transition [:drafted] => :published
    end
    event :solve do
      transition [:published] => :solved
    end
  end
end
